using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 培训效果评估调查表结果表
    /// </summary>
    [Description("培训效果评估调查表结果表")]
    public class T_SE_TRAINING_EFFECT_EVALUATION_SURVEY_RESULTS : MesEntityBase
    {
        /// <summary>
        /// 培训效果评估调查表
        /// </summary>
        [Description("培训效果评估调查表")]
        [DataFieldForeignKey("Nav_TrainingEffectSurvey","Nav_ResultList")]
        public Guid TRAINING_EFFECT_EVALUATION_SURVEY_ID { get; set; }
        /// <summary>
        /// 导航: 培训效果评估调查表
        /// </summary>
        [Description("导航: 培训效果评估调查表")]
        public T_SE_TRAINING_EFFECT_EVALUATION_SURVEY Nav_TrainingEffectSurvey { get; set; }
        /// <summary>
        /// 培训效果评估调查题目ID
        /// </summary>
        [Description("培训效果评估调查题目")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Subject")]
        public Guid SUBJECT_ID { get; set; }
        /// <summary>
        /// 导航: 培训效果评估调查题目
        /// </summary>
        [Description("导航: 培训效果评估调查题目")]
        public T_SE_TRAINING_SURVEY_SUBJECT Nav_Subject { get; set; }
        /// <summary>
        /// 评估结果
        /// </summary>
        [Description("评估结果")]
        [EnumName("SEEvaluationResultEnum")]
        [FormFieldEdit]
        public SEEvaluationResultEnum EVALUATION_RESULT { get; set; }

    }
}
